# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define bootstrap %{?_with_bootstrap:1}%{!?_with_bootstrap:%{?_without_bootstrap:0}%{!?_without_bootstrap:%{?_bootstrap:%{_bootstrap}}%{!?_bootstrap:0}}}

%define section free
%define bname   activemq

Name:           activemq3
Summary:        ActiveMQ Messaging Fabric 
Url:            http://www.activemq.org/
Version:        3.2.5
Release:        0.r1125.4jpp
Epoch:          0
License:        Apache Software License 2.0
Group:          Development/Libraries/Java
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Source0:        activemq3-3.2.5-src.tar.gz
# svn export -r 1125 http://svn.codehaus.org/activemq/branches/activemq-3/activemq/

Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        activemq3-3.2.5-jpp-depmap.xml
Source5:        activecluster-ClusterException.java
Source6:        activemq-3.2.5.pom
Source7:        activemq-core-3.2.5.pom
Source8:        activemq-gbean-management-3.2.5.pom
Source9:        activemq-optional-3.2.5.pom
Source10:       activemq-ra-3.2.5.pom
Source11:       activemq-web-3.2.5.pom
Patch0:         activemq3-3.2.5-jpp.patch
Patch1:         activemq3-3.2.5-optional-project_xml.patch
Patch2:         activemq3-3.2.5-ZeroconfDiscoveryAgent.patch
Patch3:         activemq3-3.2.5-activeio20.patch
Patch4:         activemq3-3.2.5-core-project_xml.patch
Patch5:         activemq3-3.2.5-ra-project_xml.patch
Patch6:         activemq3-3.2.5-web-project_xml.patch
Patch7:         activemq3-3.2.5-assembly-project_xml.patch
Patch8:         activemq3-3.2.5-openwire-project_xml.patch
Patch9:         activemq3-3.2.5-ExceptionListenerTest.patch
Patch10:        activemq3-3.2.5-project_xml.patch
Patch11:        activemq3-3.2.5-etc-project_xml.patch
Patch12:        activemq3-3.2.5-ActiveMQAsfEndpointWorkerTest.patch
Patch13:        activemq3-3.2.5-ServerSessionImplTest.patch


BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  junit
BuildRequires:  jmock
BuildRequires:  maven >= 0:1.1
BuildRequires:  maven-plugins-base
BuildRequires:  maven-plugin-changes
BuildRequires:  maven-plugin-checkstyle
BuildRequires:  maven-plugin-dist
BuildRequires:  maven-plugin-developer-activity
BuildRequires:  maven-plugin-faq
BuildRequires:  maven-plugin-file-activity
BuildRequires:  maven-plugin-jdepend
BuildRequires:  maven-plugin-jira
BuildRequires:  maven-plugin-jxr
BuildRequires:  maven-plugin-license
BuildRequires:  maven-plugin-linkcheck
BuildRequires:  maven-plugin-multiproject
BuildRequires:  maven-plugin-pdf
BuildRequires:  maven-plugin-pmd
BuildRequires:  maven-plugin-rar
BuildRequires:  maven-plugin-tasklist
BuildRequires:  maven-plugin-test
BuildRequires:  maven-plugin-xdoc
BuildRequires:  sf-cobertura-maven-plugin
BuildRequires:  sf-files-maven-plugin
BuildRequires:  sf-news-maven-plugin

BuildRequires:  saxon
BuildRequires:  saxon-scripts

# Replaced for bootstrap at build time by one java file:
%if ! %{bootstrap}
BuildRequires:  activecluster
%endif
BuildRequires:  activeio
BuildRequires:  activesoap
BuildRequires:  annogen
BuildRequires:  aopalliance
BuildRequires:  axion
BuildRequires:  axis
BuildRequires:  bea-stax-api
BuildRequires:  bea-stax
BuildRequires:  carol
BuildRequires:  cglib
BuildRequires:  concurrent
BuildRequires:  derby
BuildRequires:  geronimo11-base
BuildRequires:  geronimo-j2ee-connector-1.5-api
BuildRequires:  geronimo-j2ee-management-1.0-api
BuildRequires:  geronimo-jacc-1.0-api
BuildRequires:  geronimo-jms-1.1-api
BuildRequires:  geronimo-jsp-2.0-api
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  geronimo-servlet-2.4-api
BuildRequires:  groovy-jsr
BuildRequires:  groovy-module-gram
BuildRequires:  howl-logger
BuildRequires:  hsqldb
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-primitives
BuildRequires:  javacc
BuildRequires:  jetty5
BuildRequires:  jgroups
BuildRequires:  jmdns
BuildRequires:  jotm
BuildRequires:  jrms
BuildRequires:  log4j
BuildRequires:  mx4j
BuildRequires:  regexp
BuildRequires:  smack
BuildRequires:  spring-all
BuildRequires:  tomcat5-jasper
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xmlbeans
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xpp3
BuildRequires:  xstream

# lib
Requires:       activeio
Requires:       activesoap
Requires:       concurrent
Requires:       geronimo-j2ee-management-1.0-api
Requires:       geronimo-jacc-1.0-api
Requires:       geronimo-jms-1.1-api
Requires:       geronimo-jta-1.0.1B-api
Requires:       jakarta-commons-logging
Requires:       log4j
Requires:       spring-all
Requires:       xml-commons-jaxp-1.3-apis

# optional
%if ! %{bootstrap}
Requires:       activecluster
%endif
Requires:       axis
Requires:       bea-stax-api
Requires:       derby
Requires:       geronimo-j2ee-connector-1.5-api
Requires:       geronimo-servlet-2.4-api
Requires:       howl-logger
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-dbcp
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-pool
Requires:       jetty5
Requires:       jmdns
Requires:       jrms
Requires:       junit
Requires:       openorb
Requires:       p2psockets
Requires:       xpp3
Requires:       xstream

Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2
%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
ActiveMQ is an open source, Apache 2.0 licensed, 
high performance Messaging Fabric consisting of a 
scalable cluster of Message Brokers and a complete 
JMS 1.1 provider which integrates seamlessly into 
J2EE containers, light weight containers and any 
Java application.

%package core
Summary:        Core Module from %{name}
Group:          Development/Libraries/Java
Requires:       activeio
Requires:       bea-stax-api
Requires:       concurrent
Requires:       geronimo-jms-1.1-api
Requires:       geronimo-j2ee-management-1.0-api
Requires:       geronimo-jacc-1.0-api
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-pool
Requires:       log4j
Requires:       spring-core
Requires:       spring-beans
Requires:       xml-commons-jaxp-1.3-apis

%description core
%{summary}.

%package core-test
Summary:        Core Test Module from %{name}
Group:          Development/Libraries/Java
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       activeio
Requires:       concurrent
Requires:       geronimo-j2ee-management-1.0-api
Requires:       geronimo-jms-1.1-api
Requires:       geronimo-qname-1.1-api
Requires:       jakarta-commons-logging
Requires:       jmock
Requires:       junit
Requires:       spring-core
Requires:       spring-remoting

%description core-test
%{summary}.

geronimo-qname-1.1-api

%package optional
Summary:        Optional Module from %{name}
Group:          Development/Libraries/Java
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       axis
Requires:       concurrent
Requires:       geronimo-jms-1.1-api
Requires:       geronimo-j2ee-management-1.0-api
Requires:       geronimo-servlet-2.4-api
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-logging
Requires:       jetty5
Requires:       jmdns
Requires:       jrms
Requires:       junit
Requires:       spring-core

%description optional
%{summary}.

%package ra
Summary:        Resource Adapter Module from %{name}
Group:          Development/Libraries/Java
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       concurrent
Requires:       geronimo-j2ee-connector-1.5-api
Requires:       geronimo-jms-1.1-api
Requires:       jakarta-commons-logging

%description ra
%{summary}.

%package web
Summary:        Web Module from %{name}
Group:          Development/Libraries/Java
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       concurrent
Requires:       geronimo-jms-1.1-api
Requires:       geronimo-servlet-2.4-api
Requires:       jakarta-commons-logging
Requires:       spring-core

%description web
%{summary}.

%package gbean
Summary:        GBean Module from %{name}
Group:          Development/Libraries/Java
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       geronimo11-base

%description gbean
%{summary}.

%package gbean-g1_1
Summary:        GBean (Geronimo-1.1) Module from %{name}
Group:          Development/Libraries/Java
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       concurrent
Requires:       geronimo11-base
Requires:       geronimo-jms-1.1-api 
Requires:       jakarta-commons-logging
Requires:       mx4j

%description gbean-g1_1
%{summary}.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
mkdir -p src/java/org/activecluster
cp %{SOURCE5} src/java/org/activecluster/ClusterException.java

chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done

if [ ! -f %{SOURCE4} ]; then
export DEPCAT=$(pwd)/activemq3-3.2.5-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find modules -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > activemq3-3.2.5-depmap.new.xml
fi

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav

# this will not succeed with jmock-1.2.0
rm modules/ra/src/test/org/activemq/ra/ActiveMQAsfEndpointWorkerTest.java

%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

mkdir -p .maven/repository/JPP/jars
pushd .maven/repository/JPP/jars
ln -sf %{java_home}/lib/tools.jar
popd

%if %{bootstrap}
pushd src/java
javac org/activecluster/ClusterException.java
jar cf ../../.maven/repository/JPP/jars/activecluster.jar \
        org/activecluster/ClusterException.class
popd
%endif

export MAVEN_HOME_LOCAL=$(pwd)/.maven
export MAVEN_DOCS_SRC=$(pwd)/xdocs

mkdir -p modules/assembly/target/timestamps/derby
maven -e \
        -Dmaven.repo.remote=file:/usr/share/maven/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        -Dmaven.docs.src=$MAVEN_DOCS_SRC \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.multiproject.excludes=modules/gbean/project.xml,modules/assembly/project.xml \
        -Dgoal=default,javadoc:generate,xdoc:transform \
        multiproject:goal

pushd modules/assembly
mkdir -p target/timestamps/derby/
maven -e \
        -Dmaven.repo.remote=file:/usr/share/maven/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.docs.src=$MAVEN_DOCS_SRC \
        jar:jar
pushd target/classes
jar cf ../%{bname}-%{version}.jar *
popd
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 modules/assembly/target/%{bname}-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 modules/core/target/%{bname}-core-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 modules/core/target/%{bname}-core-test-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/core-test-%{version}.jar
install -m 644 modules/gbean-g1_1/target/%{bname}-gbean-g1_1-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/gbean-g1_1-%{version}.jar
install -m 644 modules/gbean-management-g1_1/target/%{bname}-gbean-management-g1_1-%{version}-SNAPSHOT.jar \
     $RPM_BUILD_ROOT%{_javadir}/%{name}/gbean-management-g1_1-%{version}.jar
install -m 644 modules/gbean-management/target/%{bname}-gbean-management-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/gbean-management-%{version}.jar
install -m 644 modules/optional/target/%{bname}-optional-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/optional-%{version}.jar
install -m 644 modules/ra/target/%{bname}-ra-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/ra-%{version}.jar
install -m 644 modules/web/target/%{bname}-web-%{version}-SNAPSHOT.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/web-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -m 644 modules/ra/target/%{bname}-ra-%{version}-SNAPSHOT.rar \
        $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}-ra-%{version}.rar

%add_to_maven_depmap activemq activemq %{version} JPP %{name}
%add_to_maven_depmap activemq activemq-core %{version} JPP.%{name} core
%add_to_maven_depmap activemq activemq-gbean-management %{version} JPP.%{name} gbean-management
%add_to_maven_depmap activemq activemq-optional %{version} JPP.%{name} optional
%add_to_maven_depmap activemq activemq-ra %{version} JPP.%{name} ra
%add_to_maven_depmap activemq activemq-web %{version} JPP.%{name} web

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE6} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.pom
install -pm 644 %{SOURCE7} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -pm 644 %{SOURCE8} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gbean-management.pom
install -pm 644 %{SOURCE9} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-optional.pom
install -pm 644 %{SOURCE10} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ra.pom
install -pm 644 %{SOURCE11} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
for a in $(find . -name apidocs); do 
        d=$(echo ${a} | sed -e 's|/target/docs/apidocs|/|')
        mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/${d}
        cp -pr ${a}/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/${d}
done
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root)
%doc LICENSE.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_datadir}/%{name}-%{version}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files core
%defattr(-,root,root)
%{_javadir}/%{name}/core-%{version}.jar
%{_javadir}/%{name}/core.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-%{version}.jar.*
%endif

%files core-test
%defattr(-,root,root)
%{_javadir}/%{name}/core-test-%{version}.jar
%{_javadir}/%{name}/core-test.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-test-%{version}.jar.*
%endif

%files optional
%defattr(-,root,root)
%{_javadir}/%{name}/optional-%{version}.jar
%{_javadir}/%{name}/optional.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/optional-%{version}.jar.*
%endif

%files ra
%defattr(-,root,root)
%{_javadir}/%{name}/ra-%{version}.jar
%{_javadir}/%{name}/ra.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ra-%{version}.jar.*
%endif

%files web
%defattr(-,root,root)
%{_javadir}/%{name}/web-%{version}.jar
%{_javadir}/%{name}/web.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/web-%{version}.jar.*
%endif

%files gbean
%defattr(-,root,root)
#%{_javadir}/%{name}/gbean-%{version}.jar
#%{_javadir}/%{name}/gbean.jar
%{_javadir}/%{name}/gbean-management-%{version}.jar
%{_javadir}/%{name}/gbean-management.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/gbean-management-%{version}.jar.*
%endif

%files gbean-g1_1
%defattr(-,root,root)
%{_javadir}/%{name}/gbean-g1_1-%{version}.jar
%{_javadir}/%{name}/gbean-g1_1.jar
%{_javadir}/%{name}/gbean-management-g1_1-%{version}.jar
%{_javadir}/%{name}/gbean-management-g1_1.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/gbean-g1_1-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/gbean-management-g1_1-%{version}.jar.*
%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Jul 17 2007 Ralph Apel <r.apel at r-apel.de> 0:3.2.5-0.r1125.4jpp
- Patch ra-tests to jmock-1.2.0; one deleted
- Add poms and depmap frags

* Tue May 08 2007 Ralph Apel <r.apel at r-apel.de> 0:3.2.5-0.r1125.3jpp
- Fix aot files
- Add maven-plugins-base, maven-plugin-multiproject, -test, -xdoc, -license BRs
- Fix depmap for spring
- Patch several project.xml files for syntax
- Make workaround for assembly

* Tue Nov 28 2006 Ralph Apel <r.apel at r-apel.de> 0:3.2.5-0.r1125.2jpp
- Fix Url (Thx Will Tatam)

* Mon Nov 27 2006 Ralph Apel <r.apel at r-apel.de> 0:3.2.5-0.r1125.1jpp
- Use branch activemq3 and update to 3.2.5-SNAPSHOT (r1125)
- Add bootstrap option to provisionally build while no activecluster
- Add post/postun Requires for javadoc
- Add gcj_support option

* Mon Oct 10 2005 Ralph Apel <r.apel at r-apel.de> 0:1.5-3jpp
- Avoid '+' in project.xml

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> 0:1.5-2jpp
- Fix for location of maven.docs.src

* Mon Mar 07 2005 Ralph Apel <r.apel at r-apel.de> 0:1.5-1jpp
- First release

